<script lang="ts">
	import { fly } from 'svelte/transition';
	export let alt = 'Animated Image';
	export let leftText = 'you';
	export let rightText = 'fail';
</script>

<div
	class="tw-flex tw-items-center tw-justify-center tw-flex-col tw-gap-y-12"
	in:fly={{ y: 200, duration: 300 }}
	out:fly={{ y: -200, duration: 300 }}
>
	<div
		class="tw-flex tw-items-center tw-justify-center tw-gap-x-2.5 tw-text-4xl tw-font-bold tw-uppercase"
	>
		<span
			class="tw-bg-gradient-to-b tw-from-[#FF004C] tw-to-[#440707] tw-bg-clip-text tw-text-transparent"
		>
			{leftText}
		</span>
		<img src="/fail.png" {alt} />

		<span
			class="tw-bg-gradient-to-b tw-from-[#FF004C] tw-to-[#440707] tw-bg-clip-text tw-text-transparent"
		>
			{rightText}
		</span>
	</div>
	<button
		class="tw-bg-[url('/btn-bg.svg')] tw-bg-contain tw-bg-center tw-bg-no-repeat tw-py-3 tw-px-14"
	>
		<span
			class="tw-bg-gradient-to-b tw-from-yellow-300 tw-to-red-700 tw-bg-clip-text tw-text-transparent tw-text-base tw-font-bold"
			>Continue</span
		>
	</button>
</div>
